

CREATE TABLE CUSTOMER(
	CUSTOMER_ID NUMBER(10) PRIMARY KEY,
	FIRST_NAME VARCHAR2(50) NOT NULL,
	LAST_NAME VARCHAR2(50) NOT NULL,
	EMAIL VARCHAR2(100) UNIQUE,
	USER_NAME VARCHAR2(15) UNIQUE,
	PASSWORD VARCHAR2(20) NOT NULL,
	EMPLOYMEE_ROLE VARCHAR2(20)
)

CREATE TABLE ACCOUNT(
	ACCOUNT_NUMBER NUMBER(10) PRIMARY KEY,
	CUSTOMER_ID NUMBER(10) REFERENCES CUSTOMER,
	INITIAL_BALANCE NUMBER(20,2) DEFAULT 50.00,
	CURRENT_BALANCE NUMBER(20,2) DEFAULT 50.00,
	ACCOUNT_STATUS VARCHAR2(10) DEFAULT 'PENDING'
)



 CREATE TABLE MONEY_TRANSACTION (
	TRANSACTION_ID NUMBER(10) PRIMARY KEY,
	ACCOUNT_NUMBER NUMBER(10) REFERENCES ACCOUNT,
	AMOUNT NUMBER(20,2) NOT NULL,
	TRANSACTION_TYPE VARCHAR2(20) NOT NULL,
	TRANSACTION_DATE DATE DEFAULT sysdate
);


INSERT INTO CUSTOMER (FIRST_NAME, LAST_NAME, EMAIL, USER_NAME, PASSWORD, EMPLOYMEE_ROLE) VALUES ('ANDY', 'DAVID', 'andy@ethiobank.com', 'ANDY_DAVID', 'andy123', 'MANAGER')

INSERT INTO CUSTOMER (FIRST_NAME, LAST_NAME, EMAIL, USER_NAME, PASSWORD, EMPLOYMEE_ROLE) VALUES ('JOHN', 'JACK', 'johnjack@ethiobank.com', 'JOHN_JACK', 'john123', 'ACCOUNTANT')



INSERT INTO CUSTOMER (FIRST_NAME, LAST_NAME, EMAIL, USER_NAME, PASSWORD) VALUES ('SOLOMON', 'YISMAW', 'solomon@email.com', 'solomon' , 'solomon')

INSERT INTO CUSTOMER (FIRST_NAME, LAST_NAME, EMAIL, USER_NAME, PASSWORD) VALUES ('BUZE', 'SOLOMON', 'buze@email.com', 'buze' , 'buze')

INSERT INTO CUSTOMER (FIRST_NAME, LAST_NAME, EMAIL, USER_NAME, PASSWORD) VALUES ('ALEN', 'GILBERT', 'aleng@email.com', 'alen' , 'alen')


INSERT INTO ACCOUNT (CUSTOMER_ID, INITIAL_BALANCE, CURRENT_BALANCE, ACCOUNT_STATUS) VALUES (5, DEFAULT, DEFAULT, DEFAULT);

INSERT INTO ACCOUNT (CUSTOMER_ID, INITIAL_BALANCE, CURRENT_BALANCE, ACCOUNT_STATUS) VALUES (3, DEFAULT, DEFAULT, 'ACTIVE');

INSERT INTO ACCOUNT (CUSTOMER_ID, INITIAL_BALANCE, CURRENT_BALANCE, ACCOUNT_STATUS) VALUES (4, DEFAULT, DEFAULT, 'ACTIVE');




INSERT INTO MONEY_TRANSACTION (ACCOUNT_NUMBER, AMOUNT, TRANSACTION_TYPE, TRANSACTION_DATE) VALUES (298193, 10000000.00, 'DEPOSIT', DEFAULT)

INSERT INTO MONEY_TRANSACTION (ACCOUNT_NUMBER, AMOUNT, TRANSACTION_TYPE, TRANSACTION_DATE) VALUES (298193, 300000.00, 'WITHDRAW', DEFAULT)

INSERT INTO MONEY_TRANSACTION (ACCOUNT_NUMBER, AMOUNT, TRANSACTION_TYPE, TRANSACTION_DATE) VALUES (298208, 500000.00, 'DEPOSIT', DEFAULT)

INSERT INTO MONEY_TRANSACTION (ACCOUNT_NUMBER, AMOUNT, TRANSACTION_TYPE, TRANSACTION_DATE) VALUES (298178, 100.00, 'DEPOSIT', DEFAULT)



--DROP TABLE MONEY_TRANSACTION;

--DROP TABLE ACCOUNT;



--DELETE FROM MONEY_TRANSACTION mt WHERE mt.AMOUNT = 0;
